#!/bin/bash

# 输入界面
ret=$(zenity --title "ADSB Encoder" --forms --text "" --add-entry "航班号" --add-entry "经度" --add-entry "纬度" --add-entry "高度")
if [ ${ret}x == "x" ]; then
	exit 1
fi

# 获取参数
## 航班号
param1=$(echo $ret | awk -F '|' '{print $1}')
## 经度
param2=$(echo $ret | awk -F '|' '{print $2}')
## 纬度
param3=$(echo $ret | awk -F '|' '{print $3}')
## 高度
param4=$(echo $ret | awk -F '|' '{print $4}')

if ! echo $param1 | grep -q "^0x"; then
	param1="0x${param1}"
fi

# 执行命令
python ADSB_Encoder.py ${param1} ${param2} ${param3} ${param4}
dd if=Samples.iq8s of=zz.iq8s bs=4k seek=63
hackrf_transfer -t zz.iq8s -f 1090000000 -s 2000000 -x 47 -R
